
#include "LedMatrixEnhancements.h"

void drawRollingBitmap(MeLEDMatrix LM, int8_t x, int8_t y, uint8_t *Bitmap)
{
	uint8_t u8_Display_Buffer[16];

	x= x%16; y= y%8;

	for(uint8_t xr=0;xr<16;xr++)
	{
		uint8_t col=  Bitmap[xr];
		
		int8_t xw=x+xr;
		if      (xw<0)	xw=16+xw;
		else if (xw>15)	xw=xw-15;
		
		if(y>0){
			u8_Display_Buffer[xw] = (col >> y)    | (col << (8-y));
		}
		else {
			u8_Display_Buffer[xw] = (col << (-y)) | (col >> (8+y));
		}
	}

	LM.drawBitmap(0, 0, 16, u8_Display_Buffer);
}
